## ros-noetic-moveit-ros-planning-interface 1.1.11

=== test/CMakeLists.txt ===
if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_executable(test_cleanup test_cleanup.cpp)
  target_link_libraries(test_cleanup moveit_move_group_interface)

  add_rostest_gtest(move_group_interface_cpp_test move_group_interface_cpp_test.test move_group_interface_cpp_test.cpp)
  target_link_libraries(move_group_interface_cpp_test moveit_move_group_interface ${catkin_LIBRARIES})

  add_rostest_gtest(move_group_pick_place_test move_group_pick_place_test.test move_group_pick_place_test.cpp)
  target_link_libraries(move_group_pick_place_test moveit_move_group_interface ${catkin_LIBRARIES})

  add_rostest_gtest(subframes_test subframes_test.test subframes_test.cpp)
  target_link_libraries(subframes_test moveit_move_group_interface ${catkin_LIBRARIES})

  add_rostest(python_move_group.test)
  add_rostest(python_move_group_ns.test)
  add_rostest(robot_state_update.test)
  add_rostest(dual_arm_robot_state_update.test)
  add_rostest(cleanup.test)

  SET(HELPER_LIB moveit_planning_interface_test_serialize_msg_cpp_helper)
  add_library(${HELPER_LIB} serialize_msg_python_cpp_helpers.cpp)
  set_target_properties(${HELPER_LIB} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
  target_link_libraries(${HELPER_LIB} ${PYTHON_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} moveit_py_bindings_tools)
  set_target_properties(${HELPER_LIB} PROPERTIES OUTPUT_NAME "_${HELPER_LIB}" PREFIX "")
  set_target_properties(${HELPER_LIB} PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}")
  if(WIN32)
    set_target_properties(${HELPER_LIB} PROPERTIES SUFFIX .pyd)
  endif(WIN32)

  catkin_add_nosetests(serialize_msg.py)
endif()

=== debian/changelog ===
ros-noetic-moveit-ros-planning-interface (1.1.11-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.10-1buster) buster; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * Generalize computeCartesianPath() to consider a link_offset (#3197 <https://github.com/ros-planning/moveit/issues/3197>)
  * Validate JointState argument to moveit_commander.set_joint_value_target (#3187 <https://github.com/ros-planning/moveit/issues/3187>)
  * Add dual arm test (#3119 <https://github.com/ros-planning/moveit/issues/3119>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Filip Sund, Michael Görner, Robert Haschke, Stephanie Eng, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.9-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.8-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.7-1buster) buster; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Fix uninitialized ``RobotState`` in ``MoveGroupInterface`` (#3008 <https://github.com/ros-planning/moveit/issues/3008>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Captain Yoshi, Jafar Abdi, Jochen Sprickerhof

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.6-1buster) buster; urgency=high

  * Use test_environment.launch in unittests (#2949 <https://github.com/ros-planning/moveit/issues/2949>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Add missing replan/look options to interface (#2892 <https://github.com/ros-planning/moveit/issues/2892>)
  * PSI: get object.pose from new msg field (#2877 <https://github.com/ros-planning/moveit/issues/2877>)
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Fix trajectory constraints for ``moveit_commander`` (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * ``MGI::setStartState``: Only fetch current state when new state is diff (#2775 <https://github.com/ros-planning/moveit/issues/2775>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Gauthier Hentz, Kevin Chang, Michael Görner, Robert Haschke, pvanlaar

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.5-1buster) buster; urgency=high

  * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.4-1buster) buster; urgency=high

  * planning_interface: synchronize async interfaces in unit tests (#2640 <https://github.com/ros-planning/moveit/issues/2640>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.3-1buster) buster; urgency=high

  * Add planning_pipeline_id setting to Python MGI (#2622 <https://github.com/ros-planning/moveit/issues/2622>)
  * Fix docstring in MGI API (#2626 <https://github.com/ros-planning/moveit/issues/2626>)
  * Contributors: Felix von Drigalski, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.2-1buster) buster; urgency=high

  * Fix formatting errors
  * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)
  * Move moveit_cpp to moveit_ros_planning
  * Add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
  * Add debugging log statement for a common error (#2509 <https://github.com/ros-planning/moveit/issues/2509>)
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Improve robustness of subframes test (#2488 <https://github.com/ros-planning/moveit/issues/2488>)
  * Improve robustness of move group interface test (#2484 <https://github.com/ros-planning/moveit/issues/2484>)
  * Fix scaling factor parameter names (#2452 <https://github.com/ros-planning/moveit/issues/2452>)
  * Python interface improvements. Fix #1966 <https://github.com/ros-planning/moveit/issues/1966>, add enforceBounds (#2356 <https://github.com/ros-planning/moveit/issues/2356>)
  * Unit Test for ByteString-based ROS msg conversion (#2362 <https://github.com/ros-planning/moveit/issues/2362>)
  * Contributors: Bjar Ne, Boston Cleek, Henning Kayser, Peter Mitrano, Shota Aoki, Tyler Weaver, petkovich

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.1-1buster) buster; urgency=high

  * [feature] moveit_cpp: more informative error message, cover another potential failure condition. (#2336 <https://github.com/ros-planning/moveit/issues/2336>)
  * [fix] Make GILReleaser exception-safe (#2363 <https://github.com/ros-planning/moveit/issues/2363>)


## ros-noetic-moveit-ros-planning-interface 1.1.13

=== debian/changelog ===
ros-noetic-moveit-ros-planning-interface (1.1.13-2focal) focal; urgency=high

  * Add unittest for #3467 <https://github.com/ros-planning/moveit/issues/3467> (#3470 <https://github.com/ros-planning/moveit/issues/3470>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.12-2focal) focal; urgency=high

  * Generalize RobotState::setFromIK() (https://github.com/ros-planning/moveit/issues/3388 <https://github.com/ros-planning/moveit/issues/3388>)
  * Allow configuration of goal tolerances in kinematics.yaml (#3409 <https://github.com/ros-planning/moveit/issues/3409>)
  * Rename MGI::getJointNames() to getVariableNames() (#3345 <https://github.com/ros-planning/moveit/issues/3345>)
  * Contributors: Erich Mielke, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.11-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.10-2focal) focal; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * Generalize computeCartesianPath() to consider a link_offset (#3197 <https://github.com/ros-planning/moveit/issues/3197>)
  * Validate JointState argument to moveit_commander.set_joint_value_target (#3187 <https://github.com/ros-planning/moveit/issues/3187>)
  * Add dual arm test (#3119 <https://github.com/ros-planning/moveit/issues/3119>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Filip Sund, Michael Görner, Robert Haschke, Stephanie Eng, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.9-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.8-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.7-2focal) focal; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Fix uninitialized ``RobotState`` in ``MoveGroupInterface`` (#3008 <https://github.com/ros-planning/moveit/issues/3008>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Captain Yoshi, Jafar Abdi, Jochen Sprickerhof

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.6-2focal) focal; urgency=high

  * Use test_environment.launch in unittests (#2949 <https://github.com/ros-planning/moveit/issues/2949>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Add missing replan/look options to interface (#2892 <https://github.com/ros-planning/moveit/issues/2892>)
  * PSI: get object.pose from new msg field (#2877 <https://github.com/ros-planning/moveit/issues/2877>)
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Fix trajectory constraints for ``moveit_commander`` (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * ``MGI::setStartState``: Only fetch current state when new state is diff (#2775 <https://github.com/ros-planning/moveit/issues/2775>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Gauthier Hentz, Kevin Chang, Michael Görner, Robert Haschke, pvanlaar

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.5-2focal) focal; urgency=high

  * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.4-2focal) focal; urgency=high

  * planning_interface: synchronize async interfaces in unit tests (#2640 <https://github.com/ros-planning/moveit/issues/2640>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.3-2focal) focal; urgency=high

  * Add planning_pipeline_id setting to Python MGI (#2622 <https://github.com/ros-planning/moveit/issues/2622>)
  * Fix docstring in MGI API (#2626 <https://github.com/ros-planning/moveit/issues/2626>)
  * Contributors: Felix von Drigalski, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.2-2focal) focal; urgency=high

  * Fix formatting errors
  * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)
  * Move moveit_cpp to moveit_ros_planning
  * Add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
  * Add debugging log statement for a common error (#2509 <https://github.com/ros-planning/moveit/issues/2509>)
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Improve robustness of subframes test (#2488 <https://github.com/ros-planning/moveit/issues/2488>)
  * Improve robustness of move group interface test (#2484 <https://github.com/ros-planning/moveit/issues/2484>)


=== debian/control ===
Source: ros-noetic-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-catkin-pkg, python3-dev, ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-eigenpy, ros-noetic-geometry-msgs, ros-noetic-moveit-msgs, ros-noetic-moveit-resources-fanuc-moveit-config <!nocheck>, ros-noetic-moveit-resources-panda-moveit-config <!nocheck>, ros-noetic-moveit-ros-manipulation, ros-noetic-moveit-ros-move-group, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-warehouse, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rostest <!nocheck>, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-noetic-actionlib, ros-noetic-eigenpy, ros-noetic-geometry-msgs, ros-noetic-moveit-msgs, ros-noetic-moveit-ros-manipulation, ros-noetic-moveit-ros-move-group, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-warehouse, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Description: Components of MoveIt that offer simpler interfaces to planning and execution

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-ros-planning-interface//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
